# ory_client
Documentation for all public and administrative Ory APIs. Administrative APIs can only be accessed
with a valid Personal Access Token. Public APIs are mostly used in browsers.


This Dart package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v0.0.1-alpha.19
- Build package: org.openapitools.codegen.languages.DartClientCodegen

## Requirements

Dart 2.0 or later

## Installation & Usage

### Github
If this Dart package is published to Github, add the following dependency to your pubspec.yaml
```
dependencies:
  ory_client:
    git: https://github.com/ory/sdk.git
```

### Local
To use the package in your local drive, add the following dependency to your pubspec.yaml
```
dependencies:
  ory_client:
    path: /path/to/ory_client
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:ory_client/api.dart';


final api_instance = MetadataApi();

try {
    final result = api_instance.getVersion();
    print(result);
} catch (e) {
    print('Exception when calling MetadataApi->getVersion: $e\n');
}

```

## Documentation for API Endpoints

All URIs are relative to *https://playground.projects.oryapis.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*MetadataApi* | [**getVersion**](doc//MetadataApi.md#getversion) | **GET** /api/kratos/public/version | Return Running Software Version.
*MetadataApi* | [**isAlive**](doc//MetadataApi.md#isalive) | **GET** /api/kratos/public/health/alive | Check HTTP Server Status
*MetadataApi* | [**isReady**](doc//MetadataApi.md#isready) | **GET** /api/kratos/public/health/ready | Check HTTP Server and Database Status
*MetadataApi* | [**prometheus**](doc//MetadataApi.md#prometheus) | **GET** /api/kratos/public/metrics/prometheus | Get snapshot metrics from the service. If you're using k8s, you can then add annotations to your deployment like so:
*V0alpha2Api* | [**adminCreateIdentity**](doc//V0alpha2Api.md#admincreateidentity) | **POST** /api/kratos/admin/identities | Create an Identity
*V0alpha2Api* | [**adminCreateSelfServiceRecoveryLink**](doc//V0alpha2Api.md#admincreateselfservicerecoverylink) | **POST** /api/kratos/admin/recovery/link | Create a Recovery Link
*V0alpha2Api* | [**adminDeleteIdentity**](doc//V0alpha2Api.md#admindeleteidentity) | **DELETE** /api/kratos/admin/identities/{id} | Delete an Identity
*V0alpha2Api* | [**adminGetIdentity**](doc//V0alpha2Api.md#admingetidentity) | **GET** /api/kratos/admin/identities/{id} | Get an Identity
*V0alpha2Api* | [**adminListIdentities**](doc//V0alpha2Api.md#adminlistidentities) | **GET** /api/kratos/admin/identities | List Identities
*V0alpha2Api* | [**adminUpdateIdentity**](doc//V0alpha2Api.md#adminupdateidentity) | **PUT** /api/kratos/admin/identities/{id} | Update an Identity
*V0alpha2Api* | [**createSelfServiceLogoutFlowUrlForBrowsers**](doc//V0alpha2Api.md#createselfservicelogoutflowurlforbrowsers) | **GET** /api/kratos/public/self-service/logout/browser | Create a Logout URL for Browsers
*V0alpha2Api* | [**getJsonSchema**](doc//V0alpha2Api.md#getjsonschema) | **GET** /api/kratos/public/schemas/{id} | 
*V0alpha2Api* | [**getSelfServiceError**](doc//V0alpha2Api.md#getselfserviceerror) | **GET** /api/kratos/public/self-service/errors | Get Self-Service Errors
*V0alpha2Api* | [**getSelfServiceLoginFlow**](doc//V0alpha2Api.md#getselfserviceloginflow) | **GET** /api/kratos/public/self-service/login/flows | Get Login Flow
*V0alpha2Api* | [**getSelfServiceRecoveryFlow**](doc//V0alpha2Api.md#getselfservicerecoveryflow) | **GET** /api/kratos/public/self-service/recovery/flows | Get Recovery Flow
*V0alpha2Api* | [**getSelfServiceRegistrationFlow**](doc//V0alpha2Api.md#getselfserviceregistrationflow) | **GET** /api/kratos/public/self-service/registration/flows | Get Registration Flow
*V0alpha2Api* | [**getSelfServiceSettingsFlow**](doc//V0alpha2Api.md#getselfservicesettingsflow) | **GET** /api/kratos/public/self-service/settings/flows | Get Settings Flow
*V0alpha2Api* | [**getSelfServiceVerificationFlow**](doc//V0alpha2Api.md#getselfserviceverificationflow) | **GET** /api/kratos/public/self-service/verification/flows | Get Verification Flow
*V0alpha2Api* | [**initializeSelfServiceLoginFlowForBrowsers**](doc//V0alpha2Api.md#initializeselfserviceloginflowforbrowsers) | **GET** /api/kratos/public/self-service/login/browser | Initialize Login Flow for Browsers
*V0alpha2Api* | [**initializeSelfServiceLoginFlowWithoutBrowser**](doc//V0alpha2Api.md#initializeselfserviceloginflowwithoutbrowser) | **GET** /api/kratos/public/self-service/login/api | Initialize Login Flow for APIs, Services, Apps, ...
*V0alpha2Api* | [**initializeSelfServiceRecoveryFlowForBrowsers**](doc//V0alpha2Api.md#initializeselfservicerecoveryflowforbrowsers) | **GET** /api/kratos/public/self-service/recovery/browser | Initialize Recovery Flow for Browsers
*V0alpha2Api* | [**initializeSelfServiceRecoveryFlowWithoutBrowser**](doc//V0alpha2Api.md#initializeselfservicerecoveryflowwithoutbrowser) | **GET** /api/kratos/public/self-service/recovery/api | Initialize Recovery Flow for APIs, Services, Apps, ...
*V0alpha2Api* | [**initializeSelfServiceRegistrationFlowForBrowsers**](doc//V0alpha2Api.md#initializeselfserviceregistrationflowforbrowsers) | **GET** /api/kratos/public/self-service/registration/browser | Initialize Registration Flow for Browsers
*V0alpha2Api* | [**initializeSelfServiceRegistrationFlowWithoutBrowser**](doc//V0alpha2Api.md#initializeselfserviceregistrationflowwithoutbrowser) | **GET** /api/kratos/public/self-service/registration/api | Initialize Registration Flow for APIs, Services, Apps, ...
*V0alpha2Api* | [**initializeSelfServiceSettingsFlowForBrowsers**](doc//V0alpha2Api.md#initializeselfservicesettingsflowforbrowsers) | **GET** /api/kratos/public/self-service/settings/browser | Initialize Settings Flow for Browsers
*V0alpha2Api* | [**initializeSelfServiceSettingsFlowWithoutBrowser**](doc//V0alpha2Api.md#initializeselfservicesettingsflowwithoutbrowser) | **GET** /api/kratos/public/self-service/settings/api | Initialize Settings Flow for APIs, Services, Apps, ...
*V0alpha2Api* | [**initializeSelfServiceVerificationFlowForBrowsers**](doc//V0alpha2Api.md#initializeselfserviceverificationflowforbrowsers) | **GET** /api/kratos/public/self-service/verification/browser | Initialize Verification Flow for Browser Clients
*V0alpha2Api* | [**initializeSelfServiceVerificationFlowWithoutBrowser**](doc//V0alpha2Api.md#initializeselfserviceverificationflowwithoutbrowser) | **GET** /api/kratos/public/self-service/verification/api | Initialize Verification Flow for APIs, Services, Apps, ...
*V0alpha2Api* | [**submitSelfServiceLoginFlow**](doc//V0alpha2Api.md#submitselfserviceloginflow) | **POST** /api/kratos/public/self-service/login | Submit a Login Flow
*V0alpha2Api* | [**submitSelfServiceLogoutFlow**](doc//V0alpha2Api.md#submitselfservicelogoutflow) | **GET** /api/kratos/public/self-service/logout | Complete Self-Service Logout
*V0alpha2Api* | [**submitSelfServiceLogoutFlowWithoutBrowser**](doc//V0alpha2Api.md#submitselfservicelogoutflowwithoutbrowser) | **DELETE** /api/kratos/public/self-service/logout/api | Perform Logout for APIs, Services, Apps, ...
*V0alpha2Api* | [**submitSelfServiceRecoveryFlow**](doc//V0alpha2Api.md#submitselfservicerecoveryflow) | **POST** /api/kratos/public/self-service/recovery | Complete Recovery Flow
*V0alpha2Api* | [**submitSelfServiceRegistrationFlow**](doc//V0alpha2Api.md#submitselfserviceregistrationflow) | **POST** /api/kratos/public/self-service/registration | Submit a Registration Flow
*V0alpha2Api* | [**submitSelfServiceSettingsFlow**](doc//V0alpha2Api.md#submitselfservicesettingsflow) | **POST** /api/kratos/public/self-service/settings | Complete Settings Flow
*V0alpha2Api* | [**submitSelfServiceVerificationFlow**](doc//V0alpha2Api.md#submitselfserviceverificationflow) | **POST** /api/kratos/public/self-service/verification | Complete Verification Flow
*V0alpha2Api* | [**toSession**](doc//V0alpha2Api.md#tosession) | **GET** /api/kratos/public/sessions/whoami | Check Who the Current HTTP Session Belongs To


## Documentation For Models

 - [AdminCreateIdentityBody](doc//AdminCreateIdentityBody.md)
 - [AdminCreateSelfServiceRecoveryLinkBody](doc//AdminCreateSelfServiceRecoveryLinkBody.md)
 - [AdminUpdateIdentityBody](doc//AdminUpdateIdentityBody.md)
 - [AuthenticateOKBody](doc//AuthenticateOKBody.md)
 - [AuthenticatorAssuranceLevel](doc//AuthenticatorAssuranceLevel.md)
 - [ContainerChangeResponseItem](doc//ContainerChangeResponseItem.md)
 - [ContainerCreateCreatedBody](doc//ContainerCreateCreatedBody.md)
 - [ContainerTopOKBody](doc//ContainerTopOKBody.md)
 - [ContainerUpdateOKBody](doc//ContainerUpdateOKBody.md)
 - [ContainerWaitOKBody](doc//ContainerWaitOKBody.md)
 - [ContainerWaitOKBodyError](doc//ContainerWaitOKBodyError.md)
 - [ErrorResponse](doc//ErrorResponse.md)
 - [GenericError](doc//GenericError.md)
 - [GraphDriverData](doc//GraphDriverData.md)
 - [HealthNotReadyStatus](doc//HealthNotReadyStatus.md)
 - [HealthStatus](doc//HealthStatus.md)
 - [IdResponse](doc//IdResponse.md)
 - [Identity](doc//Identity.md)
 - [IdentityCredentials](doc//IdentityCredentials.md)
 - [IdentityCredentialsType](doc//IdentityCredentialsType.md)
 - [IdentityState](doc//IdentityState.md)
 - [ImageDeleteResponseItem](doc//ImageDeleteResponseItem.md)
 - [ImageSummary](doc//ImageSummary.md)
 - [InlineResponse200](doc//InlineResponse200.md)
 - [InlineResponse2001](doc//InlineResponse2001.md)
 - [InlineResponse503](doc//InlineResponse503.md)
 - [JsonError](doc//JsonError.md)
 - [Meta](doc//Meta.md)
 - [Plugin](doc//Plugin.md)
 - [PluginConfig](doc//PluginConfig.md)
 - [PluginConfigArgs](doc//PluginConfigArgs.md)
 - [PluginConfigInterface](doc//PluginConfigInterface.md)
 - [PluginConfigLinux](doc//PluginConfigLinux.md)
 - [PluginConfigNetwork](doc//PluginConfigNetwork.md)
 - [PluginConfigRootfs](doc//PluginConfigRootfs.md)
 - [PluginConfigUser](doc//PluginConfigUser.md)
 - [PluginDevice](doc//PluginDevice.md)
 - [PluginEnv](doc//PluginEnv.md)
 - [PluginInterfaceType](doc//PluginInterfaceType.md)
 - [PluginMount](doc//PluginMount.md)
 - [PluginSettings](doc//PluginSettings.md)
 - [Port](doc//Port.md)
 - [RecoveryAddress](doc//RecoveryAddress.md)
 - [SelfServiceError](doc//SelfServiceError.md)
 - [SelfServiceLoginFlow](doc//SelfServiceLoginFlow.md)
 - [SelfServiceLogoutUrl](doc//SelfServiceLogoutUrl.md)
 - [SelfServiceRecoveryFlow](doc//SelfServiceRecoveryFlow.md)
 - [SelfServiceRecoveryFlowState](doc//SelfServiceRecoveryFlowState.md)
 - [SelfServiceRecoveryLink](doc//SelfServiceRecoveryLink.md)
 - [SelfServiceRegistrationFlow](doc//SelfServiceRegistrationFlow.md)
 - [SelfServiceSettingsFlow](doc//SelfServiceSettingsFlow.md)
 - [SelfServiceSettingsFlowState](doc//SelfServiceSettingsFlowState.md)
 - [SelfServiceVerificationFlow](doc//SelfServiceVerificationFlow.md)
 - [SelfServiceVerificationFlowState](doc//SelfServiceVerificationFlowState.md)
 - [ServiceUpdateResponse](doc//ServiceUpdateResponse.md)
 - [Session](doc//Session.md)
 - [SessionAuthenticationMethod](doc//SessionAuthenticationMethod.md)
 - [SessionDevice](doc//SessionDevice.md)
 - [SettingsProfileFormConfig](doc//SettingsProfileFormConfig.md)
 - [SubmitSelfServiceLoginFlowBody](doc//SubmitSelfServiceLoginFlowBody.md)
 - [SubmitSelfServiceLoginFlowWithLookupSecretMethodBody](doc//SubmitSelfServiceLoginFlowWithLookupSecretMethodBody.md)
 - [SubmitSelfServiceLoginFlowWithOidcMethodBody](doc//SubmitSelfServiceLoginFlowWithOidcMethodBody.md)
 - [SubmitSelfServiceLoginFlowWithPasswordMethodBody](doc//SubmitSelfServiceLoginFlowWithPasswordMethodBody.md)
 - [SubmitSelfServiceLoginFlowWithTotpMethodBody](doc//SubmitSelfServiceLoginFlowWithTotpMethodBody.md)
 - [SubmitSelfServiceLoginFlowWithWebAuthnMethodBody](doc//SubmitSelfServiceLoginFlowWithWebAuthnMethodBody.md)
 - [SubmitSelfServiceLogoutFlowWithoutBrowserBody](doc//SubmitSelfServiceLogoutFlowWithoutBrowserBody.md)
 - [SubmitSelfServiceRecoveryFlowBody](doc//SubmitSelfServiceRecoveryFlowBody.md)
 - [SubmitSelfServiceRecoveryFlowWithLinkMethodBody](doc//SubmitSelfServiceRecoveryFlowWithLinkMethodBody.md)
 - [SubmitSelfServiceRegistrationFlowBody](doc//SubmitSelfServiceRegistrationFlowBody.md)
 - [SubmitSelfServiceRegistrationFlowWithOidcMethodBody](doc//SubmitSelfServiceRegistrationFlowWithOidcMethodBody.md)
 - [SubmitSelfServiceRegistrationFlowWithPasswordMethodBody](doc//SubmitSelfServiceRegistrationFlowWithPasswordMethodBody.md)
 - [SubmitSelfServiceSettingsFlowBody](doc//SubmitSelfServiceSettingsFlowBody.md)
 - [SubmitSelfServiceSettingsFlowWithLookupMethodBody](doc//SubmitSelfServiceSettingsFlowWithLookupMethodBody.md)
 - [SubmitSelfServiceSettingsFlowWithOidcMethodBody](doc//SubmitSelfServiceSettingsFlowWithOidcMethodBody.md)
 - [SubmitSelfServiceSettingsFlowWithPasswordMethodBody](doc//SubmitSelfServiceSettingsFlowWithPasswordMethodBody.md)
 - [SubmitSelfServiceSettingsFlowWithProfileMethodBody](doc//SubmitSelfServiceSettingsFlowWithProfileMethodBody.md)
 - [SubmitSelfServiceSettingsFlowWithTotpMethodBody](doc//SubmitSelfServiceSettingsFlowWithTotpMethodBody.md)
 - [SubmitSelfServiceSettingsFlowWithWebAuthnMethodBody](doc//SubmitSelfServiceSettingsFlowWithWebAuthnMethodBody.md)
 - [SubmitSelfServiceVerificationFlowBody](doc//SubmitSelfServiceVerificationFlowBody.md)
 - [SubmitSelfServiceVerificationFlowWithLinkMethodBody](doc//SubmitSelfServiceVerificationFlowWithLinkMethodBody.md)
 - [SuccessfulSelfServiceLoginWithoutBrowser](doc//SuccessfulSelfServiceLoginWithoutBrowser.md)
 - [SuccessfulSelfServiceRegistrationWithoutBrowser](doc//SuccessfulSelfServiceRegistrationWithoutBrowser.md)
 - [UiContainer](doc//UiContainer.md)
 - [UiNode](doc//UiNode.md)
 - [UiNodeAnchorAttributes](doc//UiNodeAnchorAttributes.md)
 - [UiNodeAttributes](doc//UiNodeAttributes.md)
 - [UiNodeImageAttributes](doc//UiNodeImageAttributes.md)
 - [UiNodeInputAttributes](doc//UiNodeInputAttributes.md)
 - [UiNodeTextAttributes](doc//UiNodeTextAttributes.md)
 - [UiText](doc//UiText.md)
 - [VerifiableIdentityAddress](doc//VerifiableIdentityAddress.md)
 - [Version](doc//Version.md)
 - [Volume](doc//Volume.md)
 - [VolumeUsageData](doc//VolumeUsageData.md)


## Documentation For Authorization


## oryAccessToken

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author

support@ory.sh


